Get workspace setup scripts
Get the pre-install and post-install scripts for a managed GitHub repository. Requires repository read permission.
Base URL
GET
Get the pre-install and post-install scripts for a managed GitHub repository. Requires repository read permission.
bearerAuthheader
AuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
workspace_id*stringThe workspace ID.
Current and default setup scripts
application/json- response
commitSha*stringContent-addressed version of the current scripts.
preInstall*stringpostInstall*stringdefaults*curl -X GET 'https://your-org.inspect.com/api/public/v1/workspaces/string/scripts'Example Response
{ "commitSha": "string", "preInstall": "string", "postInstall": "string", "defaults": { "preInstall": "string", "postInstall": "string" }}